Bug 182109 - [maintainer update] print/qpdf update problem and update to 5.0.0
Summary: [maintainer update] print/qpdf update problem and update to 5.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Abthorpe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-15 13:20 UTC by d.y.kazarov
Modified: 2013-09-26 04:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.28 KB, patch)
2013-09-15 13:20 UTC, d.y.kazarov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description d.y.kazarov 2013-09-15 13:20:00 UTC
1. Current version is incompatible with previous versions due to changes in libqpdf.so. 
Due to the changes in libqpdf.so, please deinstall qpdf first while updating from 4.0.0 to 4.0.1+

2. Patch with update to 5.0.0 version is attached.

Fix: Patch attached with submission follows:
Comment 1 Thomas Abthorpe freebsd_committer 2013-09-21 20:29:02 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tabthorpe

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-09-26 03:58:18 UTC
Author: tabthorpe
Date: Thu Sep 26 02:58:10 2013
New Revision: 328330
URL: http://svnweb.freebsd.org/changeset/ports/328330

Log:
  - Update to 5.0.0
  
  PR:		ports/182109
  Submitted by:	Dmitry Kazarov <d.y.kazarov@mail.ru> (maintainer)

Modified:
  head/UPDATING
  head/print/qpdf/Makefile
  head/print/qpdf/distinfo   (contents, props changed)
  head/print/qpdf/pkg-plist   (contents, props changed)

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Thu Sep 26 02:30:22 2013	(r328329)
+++ head/UPDATING	Thu Sep 26 02:58:10 2013	(r328330)
@@ -5,6 +5,13 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20130925
+  AFFECTS: Users of print/qpdf
+  AUTHOR:  d.y.kazarov@mail.ru
+
+  Due to the changes in libqpdf.so, please deinstall qpdf first if you
+  are updating from 4.0.0 to 4.0.1+
+
 20130920:
   AFFECTS: Users of ports
   AUTHOR: bapt@FreeBSD.org

Modified: head/print/qpdf/Makefile
==============================================================================
--- head/print/qpdf/Makefile	Thu Sep 26 02:30:22 2013	(r328329)
+++ head/print/qpdf/Makefile	Thu Sep 26 02:58:10 2013	(r328330)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	qpdf
-PORTVERSION=	4.0.1
+PORTVERSION=	5.0.0
 CATEGORIES=	print
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}/${PORTNAME}/${PORTVERSION}

Modified: head/print/qpdf/distinfo
==============================================================================
--- head/print/qpdf/distinfo	Thu Sep 26 02:30:22 2013	(r328329)
+++ head/print/qpdf/distinfo	Thu Sep 26 02:58:10 2013	(r328330)
@@ -1,2 +1,2 @@
-SHA256 (qpdf-4.0.1.tar.gz) = a4080ad53c778d60aa56df724751fb55bd096130d244fb1483c9257b9739c04d
-SIZE (qpdf-4.0.1.tar.gz) = 5031080
+SHA256 (qpdf-5.0.0.tar.gz) = ddeac2272cbabffbaf7320d7e783085ed3690710616e0b855947b25e59a97b37
+SIZE (qpdf-5.0.0.tar.gz) = 7556793

Modified: head/print/qpdf/pkg-plist
==============================================================================
--- head/print/qpdf/pkg-plist	Thu Sep 26 02:30:22 2013	(r328329)
+++ head/print/qpdf/pkg-plist	Thu Sep 26 02:58:10 2013	(r328330)
@@ -17,6 +17,7 @@ include/qpdf/Pl_StdioFile.hh
 include/qpdf/PointerHolder.hh
 include/qpdf/QPDF.hh
 include/qpdf/QPDFExc.hh
+include/qpdf/QPDFObjGen.hh
 include/qpdf/QPDFObject.hh
 include/qpdf/QPDFObjectHandle.hh
 include/qpdf/QPDFTokenizer.hh
@@ -27,8 +28,9 @@ include/qpdf/QUtil.hh
 include/qpdf/Types.h
 include/qpdf/qpdf-c.h
 lib/libqpdf.a
+lib/libqpdf.la
 lib/libqpdf.so
-lib/libqpdf.so.10
+lib/libqpdf.so.13
 libdata/pkgconfig/libqpdf.pc
 share/doc/qpdf/qpdf-manual.html
 share/doc/qpdf/qpdf-manual.pdf
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thomas Abthorpe freebsd_committer 2013-09-26 03:58:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!